//
//  ContentDirectoryViewController.h
//  uPnp2
//
//  Created by rk on 10/03/11.
//  Copyright 2011 Interchart. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "UpnpAvServer.h"
#import "UpnpAvContentDirectoryContainerModel.h"
#import "UpnpAvContentDirectoryItemModel.h"
#import "AsynchUpnpGet.h"


@interface ContentDirectoryViewController : UIViewController <UITableViewDelegate, 
                UITableViewDataSource, AsynchUpnpGetDelegate>  {
	UpnpAvServer *server;
	IBOutlet UITableView *tableView;
	UIBarButtonItem *backButtonItem;
	NSMutableArray *backButtonHistory;
	NSMutableArray *containers; // of UpnpAvContentDirectoryContainer *
    NSMutableArray *items; // of UpnpAvContentDirectoryItemModel *
    UpnpAvContentDirectoryItemModel *currentItem;
}

@property (nonatomic, retain) IBOutlet UITableView *tableView;

-(id)initWithServer:(UpnpAvServer *)theServer;

-(void)getContainerContentHandler:(NSArray *)containers: (NSArray *)items;

-(IBAction)backButtonPressed:(id)sender;

#pragma mark AsynchUpnpGet delegate handler
-(void)handleAsynchUpnpGetResult:(NSData *)returnedData;


@end
