//
//  UpnpAvRenderer.m
//  uPnp2
//
//  Created by rk on 20/01/11.
//  Copyright 2011 Interchart. All rights reserved.
//

#import "UpnpAvRenderer.h"
#import "DefaultAvRenderer.h"


@implementation UpnpAvRenderer


-(UpnpAvRenderingControlService *)rendererService{
	return rendererService;
}

-(UpnpAvTransportService *)transportService{
	return transportService;
}


#pragma mark Designated Initializer
-(id)initWithDevice:(UpnpDevice *)theDevice {
	self = [super init];
	device = theDevice;
	for(UpnpAvService *service in device.services) {
		if (service.isRenderingControl) {
			rendererService = [[UpnpAvRenderingControlService alloc] initWithService:service];
		}
		if (service.isTransport) {
			transportService = [[UpnpAvTransportService alloc] initWithService:service];
		}
	}
    // TODO: HACK - set the default renderer device whenever a renderer gets init'ed:
    [DefaultAvRenderer setSingletonInstance:self];
	
	return self;
}


@end
