//
//  UpnpAvService.h
//  uPnp2
//
//  Created by rk on 27/01/11.
//  Copyright 2011 Interchart. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "UpnpAvXmlFetchable.h"
#import "AsynchUpnpCommand.h"

#define SOAP_NS_PREFIX @"soap"
#define SOAP_NS_URI @"http://schemas.xmlsoap.org/soap/envelope/" 

#define UPNP_DEVICE_NS_PREFIX @"upnpDevice"
#define UPNP_DEVICE_NS_URI @"urn:schemas-upnp-org:device-1-0" 

#define UPNP_RC_NS_PREFIX @"upnpRC"
#define UPNP_RC_NS_URI @"urn:schemas-upnp-org:service:RenderingControl:1" 

#define UPNP_CD_NS_PREFIX @"upnpCD"
#define UPNP_CD_NS_URI @"urn:schemas-upnp-org:service:ContentDirectory:1"

#define UPNP_AVT_NS_PREFIX @"upnpAVT"
#define UPNP_AVT_NS_URI @"urn:schemas-upnp-org:service:AVTransport:1"

#define DIDL_LITE_NS_PREFIX @"didlLite"
#define DIDL_LITE_NS_URI @"urn:schemas-upnp-org:metadata-1-0/DIDL-Lite/"

#define UPNP_DC_NS_PREFIX @"dc"
#define UPNP_DC_NS_URI @"http://purl.org/dc/elements/1.1/"



@interface UpnpAvService : UpnpAvXmlFetchable <UpnpAvXmlFetchableDelegate> {
	id device; // UpnpDevice *
	NSString *serviceType;
	NSString *serviceId;
	NSString *scpdUrl;
	NSString *controlURL;
	NSString *eventSubURL;
	
	GDataXMLDocument *parsedServiceDescription; // parsed SCPD element of service info
}

@property (nonatomic, readonly) BOOL isRenderingControl;
@property (nonatomic, readonly) BOOL isContentDirectory;
@property (nonatomic, readonly) BOOL isConnectionManager;
@property (nonatomic, readonly) BOOL isTransport;

@property (nonatomic, retain) NSString *serviceType;
@property (nonatomic, retain) NSString *serviceId;
@property (nonatomic, retain) NSString *scpdUrl;
@property (nonatomic, retain) NSString *controlURL;
@property (nonatomic, retain) NSString *eventSubURL;

@property (nonatomic, retain) GDataXMLDocument *parsedServiceDescription;

@property (nonatomic, assign) id device;

-(id) initWithDevice:(id)ownerDevice;
-(void) executeCommandAsync:(AsynchUpnpCommand*)command;

+(NSDictionary *)namespaceDict;


@end
